Welcome

Welcome to Driver Genius Help

Click on the following links to access help topics:

What is Driver Genius?

Installation

Getting started

How to backup my current drivers

How to restore drivers from the backup

How to update my drivers

How to install a driver

How to uninstall drivers from my computer

How to know if my driver is working correctly

How to update the Driver Genius drivers database

Troubleshooting

Where to purchase Driver Genius
Copyright 2002-2008 Driver-soft Inc. All rights reserved.


What is Driver Genius

Driver Genius Professional Edition

What is Driver Genius?

Driver Genius is a powerful driver manager for Windows that can backup, restore and update your drivers in several mouse clicks!

Backup Drivers - Driver Genius can detect and quickly backup the installed drivers in your system. It can compress the backup drivers to a zip file, self extracting file or an independent auto installer program.

Restore Drivers - You need not install drivers one-by-one after reinstalling your operating system. Just one click is all you need to install all your backup drivers automatically. You can also install drivers in command mode silently.

Update/Search Drivers - Are you still using an old driver or beta version drivers? These faulty drivers often cause compatibility problems and are one of the main causes of system crashes. A suitable driver can improve hardware performance by 50% or even more. There is information on more than 30,000 device drivers in the Driver Genius Database including Motherboard, Sound card, Video card, Network card, Modem, Mouse, Keyboard, Scanner, Printer, Digital devices etc. With one mouse click, Driver Genius can detect what drivers need updating. All drivers we offer are official version or WHQL versions--you can use them without any worries.

Uninstall Drivers - There could be some leftover drivers in your system due to hardware changes or previous driver updates. Driver Genius can find these useless drivers quickly and uninstall them.

LiveUpdate - We will update large numbers of drivers on our website. You can synchronize your database with our website to get the latest driver versions through the Liveupdate feature.

What can I do with Driver Genius?

  • Quickly backup device drivers for your computer.

  • One click will install all drivers.

  • Keep your drivers up to date.

  • Scan and fix your driver problem.


System Requirements

System Requirements

  • Pentium class CPU

  • 64 Mb RAM

  • 10 Mb hard drive space

  • Microsoft Windows 98/98SE/ME/2000/XP/Server 2003/Vista/XP x64/Server 2003 x64/Vista x64


Installation

Installation Instruction

Installing
Double-click the setup.exe and follow the installation wizard.

Uninstalling
To remove the program, click the 'Start' menu button and select 'All Programs', find Driver Genius Professional Edition. Click the 'Uninstall Driver Genius Professional Edition' submenu. You can also uninstall the program in Control panel by clicking the 'Add or Remove Programs' icon > Locate and single-click 'Driver Genius Professional Edition'> Click the 'Remove' button to uninstall it.


End User License Agreement

END-USER LICENSE AGREEMENT

This license applies to the registered version of Driver Genius Professional Edition.

You should carefully read the following terms and conditions before using this software. Unless you have a different license agreement signed by Driver-Soft.com Software, your use of this software indicates your acceptance of this license agreement and warranty.

Registered Version - Single License

One registered copy of Driver Genius Professional Edition may be used by either a single person who uses the software personally on up to two computers that are directly under said user's control and whom no other user can access Driver Genius Professional Edition, OR installed onto a single computer, and, using the built-in network functionality, connect to one other computer, but not both.

Registered Version - Network License

You may access the registered version of Driver Genius Professional Edition through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. For instance, if 5 different workstations will access Driver Genius Professional Edition on the network, each workstation must have its own Driver Genius Professional Edition license, regardless of whether they use Driver Genius Professional Edition at different times or concurrently. Further, you may, using Driver Genius Professional Edition's built in network functionality, connect to other computers on your network, provided you have purchased a license for each computer you will be connecting to. For instance, if you will be connecting to 5 computers on your network, you will need to purchase 5 licenses for each of the 5 computers that Driver Genius Professional Edition will be connecting to, regardless of whether the connections occur at different times or concurrently.

Governing Law

This Agreement will be governed by the laws of the United States.

Termination

This license is effective until terminated. Licensee may terminate it at any time by destroying all copies of the Software covered by this Agreement and all support files generated by the Software. It will also terminate if Licensee fails to comply with any terms or conditions of this Agreement. Licensee agrees that upon such termination to destroy this Software, including all copies, functionally-equivalent derivatives, and all portions and modifications thereof in any form. Installing this software confirms your understanding of and binds you to this licensing agreement.

Copyright ? 2002-2008 Driver-soft Inc. All rights reserved.


How to purchase

Online Purchasing

Click 'Help' menu, then choose 'Purchase'. The purchase process can be completed in just a few minutes using the Internet.


What is driver?

What is a driver?
Drivers are the programs that allow your operating system to communicate with hardware devices. They tell the operating system what device has been installed as well as their function.

Windows has already installed a driver for a device, should I update it?
Drivers provided by Windows can only offer basic device performance. For optimal performance, you must install the latest drivers provided by the manufacturer. The most important thing to note is that the drivers provided by Windows do not contain a control panel for hardware configuration. For example, if you don't install the latest drivers provided by the manufacturer for video cards, you cannot configure the OpenGL and Direct3D options for the video card. This can noticeably lower the quality and FPS of 3D images in games. Similarly with the sound card, Windows drivers cannot offer EAX sound effects, 3D sound effects, or Dolby multi-channel surround stereo. So installing a suitable driver will enhance the full performance of device.


Backup Drivers

B ackup your drivers

Before reinstalling the operating system, you should first backup your drivers.

1. Click the 'Backup Drivers' icon. The program will search for all installed drivers in the system.

2. You will see a list of installed drivers in the right window pane. To view details of a device driver, click the device in the list. The details will be displayed in the window.

Current used Drivers
These are drivers that are currently working on your computer. These will need to be backed up.

Windows Original Drivers
These drivers are included in the Windows installation CD and will be installed automatically during the Windows installation procedure. They normally do not need to be backed up.

Disconnected Devices Drivers
These drivers belong to devices that are not currently connected to your computer. If you want to use these devices in the future, their drivers must be installed on your PC. Therefore, you will need to back them up. This is especially important when installing drivers on a clean operating system.

3. Select the drivers that you want to back up and click 'Next'.

4. Select the Backup type. Driver Genius can backup drivers to a ZIP file, a self-extractor, or an Auto-Installer. Click the drop down menu -> Select the Backup type. You will see 4 options, choose the one you want. If you want to install drivers on multiple computers with the same configuration, we strongly recommend you backup the drivers to an auto-installer. You can use the Auto-Installer to install drivers on a new system without Driver Genius. This will greatly save you time.

5. Choose a location to save your driver backup files and click 'Next' to start the backup process.

Attention! The backup files must not be saved in the same partition that you install Windows. During the Windows installation, all data in this partition will be lost.

B ackup drivers in command line

Driver Genius allows you to backup your drivers in command line mode.

Usage: DriverGenius.exe [/B|?] [/T|A] [/D|Z|E|I] Backup location

First parameter - Specify the action
/? - Show help for usage
/B - Backup drivers

Second parameter - Specify which drivers you want to backup
/T - Third-Party drivers (Recommended)
/A - All drivers

Third parameter - Specify the backup type
/D - Default backup type, backs up selected drivers to the specified folder.
/Z - Backs up selected drivers and sends them to a ZIP file.
/E - Backs up selected drivers and sends them to a self-extracting file.
/I - Backs up selected drivers and sends them to an Auto-Installer.

Fourth parameter - Specify the backup location

Example:
C:\Driver-Soft\DriverGenius\DriverGenius.exe /B/T/I D:\DriversBackup.exe


Restore Drivers

Restore drivers to your computer

Driver Genius makes it easy for you to install drivers. With several mouse clicks, all drivers will be installed at one time rather than having to install each driver disk one-by-one.

1. Click 'Restore Drivers' icon.

2. Select the source type. If your backup type is 'Default', select 'Folder' option. If your backup type is 'ZIP file', or 'self-extracting file', please select 'File' option.

3. Click 'Browse' button to choose the location for the backup file, then click 'Next'

4. Now your backup files and their details will display in the list. Select the driver you want to restore, click 'Next' to start restoring.

ATTENTION: We suggest you close all running applications before restoration to avoid any conflicts. Do not perform any operations during the restoration process. You will be prompted to restart your computer after restoration is complete. All drivers will be installed and will then work properly after system reboot.

Restore by the Auto-Installer

If you have backed up your drivers to an auto-installer, all you need to do is launch the .exe file, and select drivers in the list. Then click 'Start Restore' button to start installation. You can also perform unattended installation in command line mode. Using Auto-Installer, you can also reinstall on multiple computers that have the same configuration simultaneously-This is another time-saving feature.

Usage DriverBackup.exe /S/R

/S : Silent mode, restore all drivers automatically in silent mode. (No prompt dialog box appears.)
/R : Reboot computer after the installation has completed.

ATTENTION: You can only restore drivers for video card and network card when using the trial version. This limitation will be removed after you have registered your software.


Update Drivers

Update your drivers

Driver Genius can recognize over 30,000 devices and offer their newest driver versions. It can recognize devices even though you haven't installed drivers for them before.

1. Click 'Update drivers' icon. The program will display all operating systems that it supports. Your current operating system is the default selection. You can also select target operating systems to update drivers.

2. Click 'Next' to search suitable drivers for your system automatically.

Out of date drivers - These drivers are out of date or installed incorrectly, they will affect stability of system, need updating.
 Up to date drivers - These drivers are up to date.

We suggest you should choose all of out of date drivers, then click 'next' button to update them. You can right click a driver, choose 'View Details' to check it's provider, date, version, digital signer and other details.

3. Choose a folder to save your driver updates.

4. Your selections will be added to the drivers download manager task list. Click 'Download' button to download driver updates.

5. After a driver downloaded, the driver will be marked with a green check. You can right-click the driver and select the 'Open' menu to install it.

Resume downloading

If downloading procedure failed because of a network problem or manually stopping, you can choose 'Tools' menu --'Driver Download Manager' to continue downloading. Driver Genius allows you to resume interrupted transfers; you needn't download the file over again.

Hide driver update

If you have installed the latest drivers for a device but this driver still appears in the update list, the reasons for this may be: 1. It is a motherboard driver package. 2. The driver package contains multiple device drivers. Driver Genius determines whether the drivers should be updated by comparing the driver date and driver version in the current drivers database. However, in some cases, there is more than one file in the driver installation package released by the hardware manufacturers. For example, Intel Chipset Software Installation Utility and VIA Hyperion Pro Driver include AGP controller, IDE controller and USB controller and so on. In this situation, Driver Genius is unable to determine whether the drivers are installed correctly or not.

To prevent downloading repeatedly, you can hide this driver update: Right click the driver that want to hide in out of date drivers list, then click 'Hidden Update' menu. Driver Genius won't prompt to update this driver until a newer version release.


Uninstall Drivers

Uninstall drivers from your computer

Driver Genius can help you uninstall drivers easily.

1. Click 'Uninstall Drivers' icon. The program will search for all installed drivers in the system.

loaded drivers
The drivers that have been loaded by the system and are working properly.

Stopped Drivers
Drivers that have been stopped by the system. Drivers are not automatically uninstalled just by removing the device. These leftover drivers will stay in your system and slow down the system performance.

Invalid Drivers
Drivers that have not been installed correctly. You should uninstall them first, then install the correct drivers.

2. Select the drivers you want to uninstall and click 'Next' to uninstall them.

ATTENTION: Never uninstall IDE Controller drivers or System device drivers. This will cause your system to crash.


Unlock Auto-Installer Limitation

Unlock Auto-Installer limitation

If you have the Auto-Installer that came with the free trial version of Driver Genius, you can only restore drivers for video card and network card. Use this tool to remove that limitation.
Click 'Tools' menu -> 'Unlock Auto-Installer Limitation' and press the 'Browse' button to locate the Auto-Installer, then click 'Next' to unlock your file.


Drivers Download Manager

Driver Download Manager

Driver Download Manager helps you to easily download and manage drivers.

It is very easy to use Driver Download Manger to download drivers, the only thing you need to do is choosing the drivers want to download in list, then click the 'Download' button. Driver Download Manger use multithread and resumable downloading technology, it is faster and more steady. You can continue the unfinished download job even though the network connection fails without downloading over again.

Download task status

Downloaded task
 Downloading task
 Unfinished download task
 Download fails

I nstall drivers

You can right click driver and choose 'Open' menu to install the driver after downloading it. If you don't know how to install drivers, please click here

R ight click menu

Open File
Open downloaded drivers file

Browse Download Directory
View driver download folder

Remove Task
Remove a download task from the list


Unlock Auto-Installer Limitation

Restore Hidden Driver Updates

Hidden driver updates are updates you've asked Driver Genius not to notify you about. After restoring driver updates, you can choose to install them.

Select the driver updates that you want to install, and then click 'Restore' button.


Device Diagnostics

Device Diagnostics

Device Diagnostics helps you locate a device that is not working properly or efficiently and offers an effective solution.

Click 'Tools' menu ---> 'Device Diagnostics', The program will search and list all devices in your system.

Invalid device
Stopped device

Right click the device you will see the submenu below.

Troubleshoot
Display status of device. If the device works incorrectly, program will offer effective solution.

Update Driver
Search for new version of the driver.

Disable
Stop the device.

Enable
Enable a device that is currently in disabled status.

Uninstall
Remove the device from the system.

Scan for hardware changes
Scan for hardware changes to update the device list.

Save all information
Save the hardware information to a text file. This can help you when sending hardware information to support
teams which can provide them with useful information when trying to resolve your computer related issues.

Properties
Display the properties of the device.


Options

General

Language
Change user interface languages.

Check for new drivers database
LiveUpdate program will start automatically when the program starts. It will check for most recent driver database.

Show Splash Screen
Displays Splash Screen when program starts.

Show Daily Tips
Displays Daily Tips when program starts.

Backup

Backup Type
Default - Backup the drivers to a specified folder.
Backup the drivers to ZIP compressed file - Backup your drivers, and compress them to a ZIP file.
Backup the drivers to EXE self-decompressed file - Back up your drivers, and compress them to a self-extracting file.
Backup the drivers to an EXE auto-installer package - Back up your drivers and create an auto-installer that can run independently.

Split to volumes
Fill in the size of every split volume.

Compression
None - No compression.
Low - Fastest Compression speed, but the compression ratio is the smallest.
Normal - Standard ZIP compress ratio (recommended).
Maximum - The biggest compression ratio, but compression speed is slow.

Restore

Show alert message when I start Restore drivers
Displays warning message before driver restoration begins to avoid incorrect operations.

Show alert message if the driver is not compatible
Shows alert message if the driver is not compatible. This is done to avoid incorrect driver installation which can cause a system crash.

Prompt
Program prompt to reboot after restoration is complete.

Reboot computer
reboots after restoration is complete without prompting.

Update

Drivers Download Site
Select a download site to download drivers.

Download Folder
 All downloaded drivers will be saved to this folder

Download

Internet Connection
 Use Internet Options Settings - Connect internet with Windows Internet Options settings. You can change the settings in Windows Control Panel -> Internet Options.
 Use proxy server - Connect internet with proxy server.

Time Out
 Connect time out - Time of connect time out, default value is 30 seconds.
 Connect retry delay - Time of connect retry delay if connect fails, default value is 60 seconds.
 Connect retry count - Counts of connect retry if connect fails, default value: 3.

Security

For safe restoration, specify an antivirus program to scan drivers after backing them up.
Virus scanner name
Name of virus scanner executable file. You need to press the "Browse..." button and locate a virus scanner .exe file which will be used by Driver Genius to scan drivers files.
Virus scanner parameters
Parameters passed to virus scanner. Usually virus scanners require only one parameter - the name of the folder or file. For example, if the parameters of the Norton Antivirus is "*.* /s", you should be able to place "/s" string in the Parameters textbox. Some antivirus software may require additional options, which can be found in their help documentation.

Some of the virus scanners and parameters

Antivirus Software | Version | Filename | Parameters
McAfee Virus Scan | 4.x - 7.x | SCAN32.EXE | %d /autoscan /nosplash
Norton Antivirus | 5.x - 10.x | NAVW32.EXE or N32SCANW.EXE | *.* /s
Kaspersky Anti-Virus | 3.x - 4.x | AVP32.EXE | %d /s


LiveUpdate

Keep your application up to date

Click 'Live Update' icon to start update. You can download the latest version driver database and software update from our website by Live Update. Driver Genius will recognize more hardware and offer the newest version drivers after the updating finishes.

Live Update Configuration
Internet connection configuration for Live Update.
Live Update log
View the Live Update log.

Privacy Statement

Live Update program will not gather or send any information from your computer.


How to input my license code

How to activate your program

1. Click 'Help' menu -> 'Enter Code...'

2. Enter your license code in the registration form.


How to install a driver

Install new drivers to your computer

If you don't know how to install drivers, please consult the steps below:
If the downloaded file is a Setup executable file, you can double-click it to install. (Sample 1)
If the downloaded file is a compressed file or a self-extracting file, the extended name should be ZIP or EXE. You will need to extract it to a folder first.
If there is a setup executable file in the folder, you can double-click it to install. (Sample 2)
If there is no setup executable file in this folder, you have to install it manually. (Sample 3)

Sample 1
For example: Intel Pro 100/1000 series network card drivers. This driver is a setup executable file. Just double-click it to install.

Sample 2
For example: Realtek RTL 8139 series network card drivers. This driver is a ZIP compressed file. You need to extract it to a folder first; then, launch the setup executable file in this folder to install drivers.

Extract it to a folder first

Find the setup executable file, double click it to install

Sample 3
For example: Broadcom 57xx series network controller drivers. The folder that it has been extracted to does not contain a setup executable file, therefore, you must install it manually.

1. Right click 'My computer' icon on desktop. Select 'Properties'.

2. Go to the 'Hardware' tab and click the 'Device manager' button.

3. Find and double-click the network controller.

4. Click 'Update drivers' button to open 'Hardware Update' Wizard.

5. Choose 'No, not this time' then click 'Next' button.

6. Choose 'Install from a list or specific location (Advanced)' then click 'Next' button.

7. Choose "Search for the best driver in these locations" then click 'Browse' button to select the folder that the extracting drivers file is in. Click next button. Windows will automatically find a suitable drivers file to install.


Troubleshooting

Troubleshooting

Q: Driver Genius does not boot up properly.
 A: If you are using Windows 2000 or XP or Vista, please check that you are running in Administrator account.

Q: When I restore drivers in Windows 98, Windows prompts me to insert the installation CD.
 A: When Windows 98 installs some drivers, it will also install some other system components. For example, it will install TCP/IP protocol when installing the driver for a network card and it will install Volume Control when it installs a sound card. When you get the message prompt, simply insert the installation CD for Windows 98 and follow the instructions in the installation procedure. We suggest you keep the Windows 98 installation CD in the CD-ROM when you restore drivers under Windows 98.